summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian Bergmann <sebas@gentoo.org>2008-04-04 02:50:08 +0000
committerSebastian Bergmann <sebas@gentoo.org>2008-04-04 02:50:08 +0000
commit541225cb6b667aca838860ad92fa9b2294a66302 (patch)
tree11cb6332e87833895ffd03e5ae276da00c69231e /games-emulation
parentdev-util/tinyxml: Added amd64 keyword, cosmetics (diff)
downloadsunrise-541225cb6b667aca838860ad92fa9b2294a66302.tar.gz
sunrise-541225cb6b667aca838860ad92fa9b2294a66302.tar.bz2
sunrise-541225cb6b667aca838860ad92fa9b2294a66302.zip
games-emulation/gr-lida: Version bump for GR-lida from 0.3.4 to 0.4.0
svn path=/sunrise/; revision=5973
Diffstat (limited to 'games-emulation')
-rw-r--r--games-emulation/gr-lida/ChangeLog4
-rw-r--r--games-emulation/gr-lida/Manifest4
-rw-r--r--games-emulation/gr-lida/gr-lida-0.4.0.ebuild (renamed from games-emulation/gr-lida/gr-lida-0.3.4.ebuild)17
3 files changed, 15 insertions, 10 deletions
diff --git a/games-emulation/gr-lida/ChangeLog b/games-emulation/gr-lida/ChangeLog
index 25f2babc6..11fd904da 100644
--- a/games-emulation/gr-lida/ChangeLog
+++ b/games-emulation/gr-lida/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 04 Apr 2008; Sebastián Magrí (sebasmagri) <sebasmagri@gmail.com>
+ -gr-lida-0.3.4.ebuild, +gr-lida-0.4.0.ebuild:
+ Version bump for GR-lida from 0.3.4 to 0.4.0
+
23 Mar 2008; Jakub Moc <jakub@gentoo.org> gr-lida-0.3.4.ebuild:
Get rid of the nasty qt4_min_version thing, attempt on fixing deps for
qt-4.4 split ebuilds, einfo -> elog
diff --git a/games-emulation/gr-lida/Manifest b/games-emulation/gr-lida/Manifest
index a56f8ef9f..e2675b046 100644
--- a/games-emulation/gr-lida/Manifest
+++ b/games-emulation/gr-lida/Manifest
@@ -1,4 +1,6 @@
DIST GR-lida-0.3.4.tar.bz2 373794 RMD160 66d5d0e6e5979e6ec087361b9df16c1743f52ac5 SHA1 c2620a63e83f38f90c17cb0ba544e88a9d9b5a3e SHA256 31ba9563cd79f1788dedc4bd1d1d7d143e40124daf2456ac9ea2abb540e9a58c
+DIST GR-lida-0.4.0.tar.bz2 368413 RMD160 0fa27c44df9ed62b8449161e3f2b541e60164280 SHA1 2d6cbc954787ce40a2358e3a40d5f4525951c22b SHA256 a7dee45c376a43715499e8274df090a5a7538b35a15d1b377bab797254970523
EBUILD gr-lida-0.3.4.ebuild 880 RMD160 740a3de0b889318937543684678b5c89199f4a3b SHA1 b947f77f9cb89827230ec58e5cbb32ad57dde452 SHA256 218c6a1a62c5ede085fc94758061f0926eba55380d3b1ff1f68d3c1517a39c1a
-MISC ChangeLog 609 RMD160 c89635f2ea469d465e65d46032b44fbfe4e4029c SHA1 6a92bf41e1d09a555d37d3899a8578e9821a4f38 SHA256 4795efc7d0de32826202b17ecb9f0756f959060eb7ba5ff5c031700fedc3b1e6
+EBUILD gr-lida-0.4.0.ebuild 860 RMD160 4e44f6affcac45a056a854a7d7a69b070087f408 SHA1 490648d20b838da5ef7206a09a60b5f6ba824cd0 SHA256 853d4f118e7f7b967f9b294bee73e93bcda3350726b8a90d28584a1d12e6fba0
+MISC ChangeLog 774 RMD160 bbcca68676f1b0cc15a5ee32a7cb57ef4e542f98 SHA1 68e916290dd753dcb553896b45eae501383b126a SHA256 67eefed5e0a06066b02af9901120646c6576260ee1ebbfc7cd1e924d6a2a5e00
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/games-emulation/gr-lida/gr-lida-0.3.4.ebuild b/games-emulation/gr-lida/gr-lida-0.4.0.ebuild
index db1e1c2ca..86409b4fb 100644
--- a/games-emulation/gr-lida/gr-lida-0.3.4.ebuild
+++ b/games-emulation/gr-lida/gr-lida-0.4.0.ebuild
@@ -2,12 +2,10 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="1"
-QT4_BUILT_WITH_USE_CHECK="gif jpeg png sqlite3"
-
inherit qt4
MY_P="GR-lida-${PV}"
+S="${WORKDIR}"/"${MY_P}"
DESCRIPTION="Frontend for scummvm and dosbox"
HOMEPAGE="http://www.laisladelabandoware.es"
@@ -18,15 +16,16 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="dosbox scummvm"
-DEPEND="|| ( ( x11-libs/qt-gui x11-libs/qt-sql )
- <x11-libs/qt-4.4:4 )"
+DEPEND="$(qt4_min_version 4.3)"
+
RDEPEND="${DEPEND}
dosbox? ( games-emulation/dosbox )
scummvm? ( games-engines/scummvm )"
-S="${WORKDIR}"/"${MY_P}"
+
+QT4_BUILT_WITH_USE_CHECK="gif jpeg png sqlite3"
src_compile(){
- eqmake4
+ eqmake4 "${PN}".pro || die
emake || die "Compile Failed"
}
@@ -35,6 +34,6 @@ src_install(){
}
pkg_postinst(){
- elog "The GUI is currently in Spanish."
- elog "See bug 213983 for instructions about translation."
+ einfo "The GUI is by default in Spanish."
+ einfo "If you need it, English is available on the Options Menu."
}